Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.sslrmi
Class SSLRMIServerInvoker

    java.lang.Object
      org.jboss.remoting.AbstractInvoker
          org.jboss.remoting.ServerInvoker
              org.jboss.remoting.transport.rmi.RMIServerInvoker
                  org.jboss.remoting.transport.sslrmi.SSLRMIServerInvoker

All Implemented Interfaces:
  java.rmi.Remote, Invoker, ServerInvokerMBean, RMIServerInvokerInf

    public class SSLRMIServerInvoker

extends RMIServerInvoker

Version:
  $Revision: 1869 $

  Copyright (c) Jun 9, 2006

Author:
  Ron Sigal

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.remoting.ServerInvoker
`ServerInvoker.InvalidStateException`

Nested classes/interfaces inherited from class org.jboss.remoting.AbstractInvoker
`AbstractInvoker.CallbackLocatorHolder`

Field Summary

Fields inherited from class org.jboss.remoting.transport.rmi.RMIServerInvoker
`BACKLOG_DEFAULT, DEFAULT_REGISTRY_PORT, REGISTRY_PORT_KEY`

Fields inherited from class org.jboss.remoting.ServerInvoker
`BLOCKING, BLOCKING_MODE, BLOCKING_TIMEOUT, callbackHandlers, CLIENT_CONNECT_ADDRESS_KEY, CLIENT_CONNECT_PORT_KEY, CLIENT_LEASE_PERIOD, clientCallbackListener, connectionNotifier, DEFAULT_BLOCKING_TIMEOUT, DEFAULT_CLIENT_LEASE_PERIOD, DEFAULT_TIMEOUT_PERIOD, handlers, INVOKER_SESSION_ID, MAX_NUM_ONEWAY_THREADS, MAX_NUM_ONEWAY_THREADS_KEY, MAX_ONEWAY_THREAD_POOL_QUEUE_SIZE, NONBLOCKING, ONEWAY_THREAD_POOL_CLASS_KEY, REGISTER_CALLBACK_LISTENER, registerCallbackListeners, SERVER_BIND_ADDRESS_KEY, SERVER_BIND_PORT_KEY, SERVER_SOCKET_FACTORY, serverSocketFactory, singleCallbackContainer, singleHandler, started, TIMEOUT`

Fields inherited from class org.jboss.remoting.AbstractInvoker
`classbyteloader, configuration, localServerLocators, locator, serializationType, socketFactory, socketFactoryCreatedFromSSLParameters`

Constructor Summary
`SSLRMIServerInvoker(InvokerLocator locator)`
`SSLRMIServerInvoker(InvokerLocator locator, java.util.Map configuration)`

Method Summary
`protected javax.net.SocketFactory` | `createSocketFactory(java.util.Map configuration)` If any configuration parameters relate to the construction of a SSLSocketBuilder, create one.
`protected javax.net.ServerSocketFactory` | `getDefaultServerSocketFactory()` Gets the default server socket factory to use for the server invoker.
`protected java.rmi.server.RMIClientSocketFactory` | `getRMIClientSocketFactory(java.lang.String ignored)`

Methods inherited from class org.jboss.remoting.transport.rmi.RMIServerInvoker
`destroy, finalize, getDefaultDataType, getDefaultSocketFactory, getStub, isTransportBiDirectional, start, transport`

Methods inherited from class org.jboss.remoting.ServerInvoker
`addConnectionListener, addInvocationHandler, assignPort, create, createServerSocketFactory, getClientConnectAddress, getClientConnectPort, getConfiguration, getDataType, getInvocationHandler, getInvocationHandlers, getLease, getLeasePeriod, getMaxNumberOfOnewayThreads, getMBeanObjectName, getMBeanServer, getOnewayThreadPool, getServerBindAddress, getServerBindPort, getServerSocketFactory, getSupportedSubsystems, getTimeout, handleInternalInvocation, hasInvocationHandler, invoke, invoke, isLeaseActivated, isRegisterCallbackListeners, isStarted, justNeedsSSLClientMode, postProcess, preProcess, removeCallbackListener, removeConnectionListener, removeInvocationHandler, setClientConnectAddress, setClientConnectPort, setConfiguration, setLeasePeriod, setMaxNumberOfOnewayThreads, setMBeanServer, setOnewayThreadPool, setRegisterCallbackListeners, setServerSocketFactory, setTimeout, setup, stop, wrapServerSocketFactory`

Methods inherited from class org.jboss.remoting.AbstractInvoker
`addClientLocator, getClassLoader, getClientLocator, getClientLocators, getLocator, getSerializationType, getSocketFactory, isCompleteSocketFactory, isSocketFactoryCreatedFromSSLParameters, needsCustomSSLConfiguration, setClassLoader, setSerializationType, setSocketFactory, wrapSocketFactory`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLRMIServerInvoker

    public SSLRMIServerInvoker(InvokerLocator locator)

### SSLRMIServerInvoker

    public SSLRMIServerInvoker(InvokerLocator locator,
                               java.util.Map configuration)

Method Detail

### getRMIClientSocketFactory

    protected java.rmi.server.RMIClientSocketFactory getRMIClientSocketFactory(java.lang.String ignored)

  Overrides:
    `getRMIClientSocketFactory` in class `RMIServerInvoker`

### getDefaultServerSocketFactory

    protected javax.net.ServerSocketFactory getDefaultServerSocketFactory()
                                                                   throws java.io.IOException

  Description copied from class: `ServerInvoker`
  Gets the default server socket factory to use for the server invoker. The intention is this method will be overridden by sub-classes for their specific defaults.

  Overrides:
    `getDefaultServerSocketFactory` in class `ServerInvoker`
  Throws:
    `java.io.IOException`

### createSocketFactory

    protected javax.net.SocketFactory createSocketFactory(java.util.Map configuration)

  Description copied from class: `AbstractInvoker`
  If any configuration parameters relate to the construction of a SSLSocketBuilder, create one.

  Overrides:
    `createSocketFactory` in class `AbstractInvoker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.